//===============================================================================
//===============================================================================
#ifndef __IICMASTER_H__
#define __IICMASTER_H__

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

#define ENABLE							1
#define DISABLE							0
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
#define      STA_M_START    	0X08		//主机发送开始信号完成
#define      STA_M_RSTART    	0X10		//主机发送重新开始信号完成
#define      STA_M_W_ADRACK  	0X18		//主机发送地址应答
#define      STA_M_W_ADRNACK 	0X20		//主机发送地址不应答
#define      STA_M_W_DATACK   	0X28		//主机发送数据应答
#define      STA_M_W_DATNACK  	0X30		//主机发送数据不应答
#define		 STA_M_W_ADRACK_LOST 0x38		//主机仲裁失败
#define      STA_M_R_ADRACK   	0X40		//主机接收地址应答
#define      STA_M_R_ADRNACK  	0X48		//主机接收地址不应答
#define      STA_M_R_DATACK   	0X50		//主机接收数据应答
#define      STA_M_R_DATNACK  	0X58		//主机接收数据不应答
#define		 STA_M_W_ERR		0x00		//总线错误
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/* IIC_MASTER——SCL设置 */
enum IIC_M_MPSCL
{
	IIC_M_MPSCL_IOA0 = 0,IIC_M_MPSCL_IOA1,IIC_M_MPSCL_IOA2,IIC_M_MPSCL_IOA3,IIC_M_MPSCL_IOA4,IIC_M_MPSCL_IOA5,IIC_M_MPSCL_IOA6,IIC_M_MPSCL_IOA7,
	IIC_M_MPSCL_IOB0,IIC_M_MPSCL_IOB1,IIC_M_MPSCL_IOB2,IIC_M_MPSCL_IOB3,IIC_M_MPSCL_IOB4,IIC_M_MPSCL_IOB5,IIC_M_MPSCL_IOB6,IIC_M_MPSCL_IOB7,
	IIC_M_MPSCL_IOC0,IIC_M_MPSCL_IOC1,IIC_M_MPSCL_IOC2,IIC_M_MPSCL_IOC3,IIC_M_MPSCL_IOC4,IIC_M_MPSCL_IOC5,IIC_M_MPSCL_IOC6,IIC_M_MPSCL_IOC7,
	IIC_M_MPSCL_IOD0,IIC_M_MPSCL_IOD1,
};
/* IIC_MASTER——SDA设置 */
enum IIC_M_MPSDA
{
	IIC_M_MPSDA_IOA0 = 0,IIC_M_MPSDA_IOA1,IIC_M_MPSDA_IOA2,IIC_M_MPSDA_IOA3,IIC_M_MPSDA_IOA4,IIC_M_MPSDA_IOA5,IIC_M_MPSDA_IOA6,IIC_M_MPSDA_IOA7,
	IIC_M_MPSDA_IOB0,IIC_M_MPSDA_IOB1,IIC_M_MPSDA_IOB2,IIC_M_MPSDA_IOB3,IIC_M_MPSDA_IOB4,IIC_M_MPSDA_IOB5,IIC_M_MPSDA_IOB6,IIC_M_MPSDA_IOB7,
	IIC_M_MPSDA_IOC0,IIC_M_MPSDA_IOC1,IIC_M_MPSDA_IOC2,IIC_M_MPSDA_IOC3,IIC_M_MPSDA_IOC4,IIC_M_MPSDA_IOC5,IIC_M_MPSDA_IOC6,IIC_M_MPSDA_IOC7,
	IIC_M_MPSDA_IOD0,IIC_M_MPSDA_IOD1,
};
/* IIC时钟速度控制位 */
enum IIC_M_CR
{
	IIC_M_CR_7_625 = 0x00,//时钟速度7.625*FCPU*10-3bit/s
	IIC_M_CR_10_4 = 0x01,//时钟速度10.4*FCPU*10-3bit/s
	IIC_M_CR_15_625 = 0x02,//时钟速度15.625*FCPU*10-3bit/s
	IIC_M_CR_31_25 = 0x03,//时钟速度31.25*FCPU*10-3bit/s
	IIC_M_CR_2_225 = 0x80,//时钟速度2.225*FCPU*10-3bit/s
	IIC_M_CR_17_85 = 0x81,//时钟速度17.85*FCPU*10-3bit/s
	IIC_M_CR_37_025 = 0x82,//时钟速度37.05*FCPU*10-3bit/s
	IIC_M_CR_DISABLE = 0x83,//禁用
};
/* IIC产生起始信号 */
enum IIC_M_ST
{
	IIC_M_ST_DISABLE = 0x00,//不产生起始信号
	IIC_M_ST_ENABLE = 0x20,//主机模式时产生起始信号
};
/* IIC产生停止信号 */
enum IIC_M_STO
{
	IIC_M_STO_DISABLE = 0x00,//不产生停止信号
	IIC_M_STO_ENABLE = 0x10,//主机模式时产生停止信号
};
/* IIC中断标志位 */
enum IIC_M_SI
{
	IIC_M_SI_DISABLE = 0x00,//未产生中断
	IIC_M_SI_ENABLE = 0x08,//产生中断
};
/* IIC应答位 */
enum IIC_M_AA
{
	IIC_M_AA_DISABLE = 0x00,//应答NACK
	IIC_M_AA_ENABLE = 0x04,//应答ACK
};
//=================================IIC_MASTER函数声明===========================================
void SYSTEM_INIT(void);//系统初始化
void Delay_1ms(u16 Delay_Count);//延时
void IIC_M_SETREUSE(enum IIC_M_MPSCL iicMmpscl,enum IIC_M_MPSDA iicMmpsda);//I2C复用口设置
void IIC_M_SETCR(enum IIC_M_CR iicMcr);//IIC时钟速度控制位设置
void IIC_M_SETIICCCR(enum IIC_M_ST iicMst,enum IIC_M_STO iicMsto,enum IIC_M_SI iicMsi,enum IIC_M_AA iicMaa);//IICCR设置
void I2C_MASTER_INIT(void);//I2C主机初始化		
void I2C_Master_Write(u8 SlaverAddr , u8 SlaverDataAddr , u8 *pWDataAddr , u8 WriteNumber);//I2C主机写
void I2C_Master_Read(u8 SlaverAddr , u8 SlaverDataAddr , u8 *pRDataAddr , u8 ReadNumber);//I2C主机读
void I2C_Start();//起始信号	
void I2C_Rstart(void);//重复起始信号
void Send_Add(u8 DATA);//发送从机地址读、写
void Send_Data(u8 DATA);//发送数据
void Receive_Data(void);//接收数据
void I2C_STOP(void);//结束信号
void STOP_Receive(void);//停止接收	
void MASTER_STATE_Err(void);//状态错误
void STATE_W_ADRNACK(void);//写地址未应答
void STATE_WDATNACK(void);//写数据未应答
void I2C_MASTER_Work(void);//程序主函数

#endif
