//===============================================================================
//*******************************头文件和调用申明********************************
//===============================================================================
//用户不可更改
#include "IIC_SLAVER.h"
#include "stdio.h"
//===============================================================================
//**********************************定义变量*************************************
//用户可以自行看需求定义变量
//===============================================================================
bit B_I2C_Flag;									//IIC通讯标志
bit B_SLAVER_STATE_Err_Flag;					//状态错误
bit B_SLAVER_Flag;								//完成接收数据标志
u8 I2C_SLAVER_DATA[15] __at(0x40) = {0};		//定义存放主机向从机读写的数据的数组及其地址
u8 R_Data_Num = 0;
//===============================================================================
//********************************IIC从机初始化**********************************
//IIC从机初始化：端口复用功能IOB0---SCL,IOB1---SDA,I2C复用口设为上拉、数字口、输出
//时钟速度7.625*FCPU*10-3bit/s,不产生起始信号\不产生停止信号\未产生中断\应答ACK
//从机地址设为0xA0,广播呼叫模式忽略,在0x20地址写数据
//===============================================================================
void I2C_SLAVER_INIT(void)
{
	/*I2C复用口设置,端口复用功能IOB0---SCL,IOB1---SDA,I2C复用口设为上拉、数字口*/
	IIC_S_SETREUSE(IIC_S_MPSCL_IOB0 , IIC_S_MPSDA_IOB1);
	/* IIC时钟速度控制位设置,时钟速度7.625*FCPU*10-3bit/s */
	IIC_S_SETCR(IIC_S_CR_7_625);
	/* IIC模块使能位设置,使能 */
	I2CEN = ENABLE;
	/* IICCR设置，不产生起始信号\不产生停止信号\未产生中断\应答ACK */
	IIC_S_SETIICCCR(IIC_S_ST_DISABLE , IIC_S_STO_DISABLE , IIC_S_SI_DISABLE , IIC_S_AA_ACK);
	/* IIC从机地址,0XA0 */
	IIC_S_SETADRESS(IIC_S_ADRESS_A0);
	/* IIC广播呼叫位	 */
	IIC_S_SETGC(IIC_S_GC_DISABLE);
	/*3、开中断*/
	I2CIE = ENABLE;
	I2CIP = ENABLE;
	GIEL = ENABLE;
}
//===============================================================================
//******************************IIC从机复用口设置函数****************************
//IIC从机复用口设置
//输入		iicSmpscl							//从机SCL复用口选择参数
//输入		iicSmpsda							//从机SDA复用口选择参数
//===============================================================================
void IIC_S_SETREUSE(enum IIC_S_MPSCL iicSmpscl,enum IIC_S_MPSDA iicSmpsda)
{
	u8 IIC_S_IOData,IIC_S_IOMP;
	IIC_S_IOMP = iicSmpscl & 0x07;
	IIC_S_IOData = (unsigned char)(0x01 << IIC_S_IOMP);
	MPSCL &= ~(0xFF << 0);
	if(iicSmpscl <= IIC_S_MPSCL_IOA7)
	{
		OEA |= (unsigned char)~IIC_S_IOData;
		PUA |= IIC_S_IOData;
		ANSA &= IIC_S_IOData;
	}		
	else if(iicSmpscl <= IIC_S_MPSCL_IOB7)
	{
		OEB |= (unsigned char)~IIC_S_IOData;
		PUB |= IIC_S_IOData;
		ANSB &= IIC_S_IOData;
		MPSCL |= (0x01 << 4);
	}	
	else if(iicSmpscl <= IIC_S_MPSCL_IOC7)
	{
		OEC |= (unsigned char)~IIC_S_IOData;
		PUC |= IIC_S_IOData;
		ANSC &= IIC_S_IOData;
		MPSCL |= (0x02 << 4);
	}
	else
	{
		OED |= (unsigned char)~IIC_S_IOData;
		PUD |= IIC_S_IOData;
		ANSD &= IIC_S_IOData;
		MPSCL |= (0x03 << 4);
	}
	MPSCL |= (unsigned char)(IIC_S_IOMP << 0);

	IIC_S_IOMP = iicSmpsda & 0x07;
	IIC_S_IOData = (unsigned char)(0x01 << IIC_S_IOMP);
	MPSDA &= ~(0xFF << 0);
	if(iicSmpsda <= IIC_S_MPSDA_IOA7)
	{
		OEA |= (unsigned char)~IIC_S_IOData;
		PUA |= IIC_S_IOData;
		ANSA &= IIC_S_IOData;
	}		
	else if(iicSmpsda <= IIC_S_MPSDA_IOB7)
	{
		OEB |= (unsigned char)~IIC_S_IOData;
		PUB |= IIC_S_IOData;
		ANSB &= IIC_S_IOData;
		MPSDA |= (0x01 << 4);
	}	
	else if(iicSmpsda <= IIC_S_MPSDA_IOC7)
	{
		OEC |= (unsigned char)~IIC_S_IOData;
		PUC |= IIC_S_IOData;
		ANSC &= IIC_S_IOData;
		MPSDA |= (0x02 << 4);
	}
	else
	{
		OED |= (unsigned char)~IIC_S_IOData;
		PUD |= IIC_S_IOData;
		ANSD &= IIC_S_IOData;
		MPSDA |= (0x03 << 4);
	}
	MPSDA |= (unsigned char)(IIC_S_IOMP << 0);
}
//===============================================================================
//***************************IIC从机时钟速度控制位设置函数***********************
//IIC从机时钟速度控制位设置
//输入		iicScr							//从机IIC时钟速度控制位选择参数
//===============================================================================
void IIC_S_SETCR(enum IIC_S_CR iicScr)
{
	I2CCR &= ~0x83;
	I2CCR |= iicScr;
}
//===============================================================================
//*****************************从机IICCR5-2位设置函数****************************
//从机IICCR5-2位设置
//输入		iicSst							//从机起始信号选择参数
//输入		iicSsto							//从机停止信号选择参数
//输入		iicSsi							//从机中断标志位选择参数
//输入		iicSaa							//从机应答位选择参数
//===============================================================================
void IIC_S_SETIICCCR(enum IIC_S_ST iicSst,enum IIC_S_STO iicSsto,enum IIC_S_SI iicSsi,enum IIC_S_AA iicSaa)
{
	I2CCR &= ~(0x0F << 2);
	I2CCR |= (iicSst | iicSsto | iicSsi | iicSaa);
}
//===============================================================================
//******************************IIC从机地址设置函数******************************
//IIC从机地址设置
//输入		iicSadress						//IIC从机地址选择参数
//===============================================================================
void IIC_S_SETADRESS(enum IIC_S_ADRESS iicSadress)
{
	I2CADR &= ~(0x7F << 1);
	I2CADR |= (iicSadress << 1);	
}
//===============================================================================
//*****************************IIC广播呼叫位设置函数*****************************
//IIC广播呼叫位设置
//输入		iicSgc							//读写选择参数
//===============================================================================
void IIC_S_SETGC(enum IIC_S_GC iicSgc)
{
	I2CADR &= ~(0x01 << 0);
	I2CADR |= iicSgc;	
}
//===============================================================================
//*******************************I2C从机中断处理*********************************
//从机读：从机接收数据放入设定的RAM区中，从机接收的第一个数据为要写入RAM的地址
//其他数据依次写入RAM中
//从机写：主机会先发送一个数据当作要读出RAM区的地址，再依次把RAM区数据写给主机
//===============================================================================
void I2C_Slaver_Handle(void)
{
		switch(I2CSTA)
		{
			case STA_S_R_DATACK:				//从机接收数据应答
			{
				STATE_SRDATACK();
				break;
			}
			case STA_S_R_ADRACK:				//从机接收地址应答
			{
				STATE_SRADRACK();
				break;
			}
			
			case STA_S_R_ADRNACK:				//从机接收地址无应答
			{
				AA = ENABLE;	
				break;
			}
			case STA_S_RSTART:					//从机发送重复开始或停止信号
			{
				AA = ENABLE;
				break;
			}
			case STA_S_W_ADRACK:				//从机发送地址应答
			{
				STATE_SWADRACK();
				break;
			}
			case STA_S_W_DATACK:				//从机发送数据应答
			{
				STATE_SWDATACK();
				break;
			}
			case STA_S_W_DATNACK:				//从机发送数据无应答
			{
				AA = ENABLE;
				break;
			}
			case STA_S_W_LAST:					//从机发送最后数据应答
			{
				AA = ENABLE;
				break;
			}
			default:							//状态错误
			{
				SLAVER_STATE_Err();
				break;
			}
		}
}
//===============================================================================
//*******************************从机接收地址应答********************************
//从机接收地址应答
//===============================================================================
void STATE_SRADRACK(void)
{
	R_Data_Num = 0;
	AA = ENABLE;
	B_I2C_Flag = ENABLE;
}
//===============================================================================
//*******************************从机接收数据应答********************************
//从机接收数据应答
//===============================================================================
void STATE_SRDATACK()
{
	if(B_I2C_Flag == 0)
	{
		I2C_SLAVER_DATA[R_Data_Num] = I2CDATA;
		R_Data_Num++;
		if(R_Data_Num > 15)
		{
			B_SLAVER_Flag = 1;				//完成数据接收标志
			AA = DISABLE;
			R_Data_Num = 0;
		}
		else
		{
			AA = ENABLE;
		}
	}
	else								//主机发送的第一个数据当作要写入RAM的地址
	{
		B_I2C_Flag = DISABLE;						
		FSR1 = I2CDATA;
	}
}
//===============================================================================
//*******************************从机发送地址应答********************************
//从机发送地址应答
//===============================================================================	
void STATE_SWADRACK(void)
{
	I2CDATA = I2C_SLAVER_DATA[R_Data_Num];
	R_Data_Num++;
	AA = ENABLE;
}
//===============================================================================
//*******************************从机发送数据应答********************************
//从机发送数据应答
//===============================================================================	
void STATE_SWDATACK(void)
{
	I2CDATA = I2C_SLAVER_DATA[R_Data_Num];
	R_Data_Num++;
	AA = ENABLE;
}
//===============================================================================
//**********************************状态错误*************************************
//状态错误
//===============================================================================					
void SLAVER_STATE_Err(void)
{
	B_SLAVER_STATE_Err_Flag = 1;
}
//===============================================================================
//*********************************IIC从机处理***********************************
//IIC从机处理
//===============================================================================
void I2C_SLAVER_Work(void)
{
	if(B_SLAVER_Flag == 1)
	{
		for (R_Data_Num = 0; R_Data_Num < 15; R_Data_Num++)
		{
			printf("%02X ", (u8)I2C_SLAVER_DATA[R_Data_Num]);	//打印主机向从机写的数据
		}
		B_SLAVER_Flag = 0;
	}
	if(B_SLAVER_STATE_Err_Flag == 1)							//状态错误打印SLAVER STATE Err
	{
		B_SLAVER_STATE_Err_Flag = 0;
		printf("%s\n","IIC SLAVER STATE Err");
	}
}
//===============================================================================
//*******************************IIC从机中断处理函数*****************************
//IIC从机中断处理函数
//===============================================================================
void IICSLAVER_Interrupt (void)
{
	if(I2CIE == 1)							//防止主机程序进入中断
	{
		if(SI == 1)
		{
			I2C_Slaver_Handle();			//I2C从机处理程序
			SI = 0;
		}
	}
}

/*********************************END OF FILE************************************/