//===============================================================================
//===============================================================================
#ifndef __IICSLAVER_H__
#define __IICSLAVER_H__

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

#define ENABLE							1
#define DISABLE							0
//================================================================================
#define		STA_S_RSTART		0xA0		//从机发送重复开始或停止信号
#define		STA_S_W_ADRACK		0xA8		//从机发送地址应答
#define		STA_S_W_DATACK		0xB8		//从机发送数据应答
#define		STA_S_W_DATNACK		0xC0		//从机发送数据无应答
#define		STA_S_W_LAST		0xC8		//从机发送最后数据应答
#define		STA_S_R_ADRACK		0x60		//从机接收地址应答
#define		STA_S_R_DATACK		0x80		//从机接收数据应答
#define		STA_S_R_ADRNACK		0x88		//从机接收地址无应答
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

/* IIC_SLAVER——SCL设置 */
enum IIC_S_MPSCL
{
	IIC_S_MPSCL_IOA0 = 0,IIC_S_MPSCL_IOA1,IIC_S_MPSCL_IOA2,IIC_S_MPSCL_IOA3,IIC_S_MPSCL_IOA4,IIC_S_MPSCL_IOA5,IIC_S_MPSCL_IOA6,IIC_S_MPSCL_IOA7,
	IIC_S_MPSCL_IOB0,IIC_S_MPSCL_IOB1,IIC_S_MPSCL_IOB2,IIC_S_MPSCL_IOB3,IIC_S_MPSCL_IOB4,IIC_S_MPSCL_IOB5,IIC_S_MPSCL_IOB6,IIC_S_MPSCL_IOB7,
	IIC_S_MPSCL_IOC0,IIC_S_MPSCL_IOC1,IIC_S_MPSCL_IOC2,IIC_S_MPSCL_IOC3,IIC_S_MPSCL_IOC4,IIC_S_MPSCL_IOC5,IIC_S_MPSCL_IOC6,IIC_S_MPSCL_IOC7,
	IIC_S_MPSCL_IOD0,IIC_S_MPSCL_IOD1,
};
/* IIC_SLAVER——SDA设置 */
enum IIC_S_MPSDA
{
	IIC_S_MPSDA_IOA0 = 0,IIC_S_MPSDA_IOA1,IIC_S_MPSDA_IOA2,IIC_S_MPSDA_IOA3,IIC_S_MPSDA_IOA4,IIC_S_MPSDA_IOA5,IIC_S_MPSDA_IOA6,IIC_S_MPSDA_IOA7,
	IIC_S_MPSDA_IOB0,IIC_S_MPSDA_IOB1,IIC_S_MPSDA_IOB2,IIC_S_MPSDA_IOB3,IIC_S_MPSDA_IOB4,IIC_S_MPSDA_IOB5,IIC_S_MPSDA_IOB6,IIC_S_MPSDA_IOB7,
	IIC_S_MPSDA_IOC0,IIC_S_MPSDA_IOC1,IIC_S_MPSDA_IOC2,IIC_S_MPSDA_IOC3,IIC_S_MPSDA_IOC4,IIC_S_MPSDA_IOC5,IIC_S_MPSDA_IOC6,IIC_S_MPSDA_IOC7,
	IIC_S_MPSDA_IOD0,IIC_S_MPSDA_IOD1,
};
/* IIC时钟速度控制位 */
enum IIC_S_CR
{
	IIC_S_CR_7_625 = 0x00,//时钟速度7.625*FCPU*10-3bit/s
	IIC_S_CR_10_4 = 0x01,//时钟速度10.4*FCPU*10-3bit/s
	IIC_S_CR_15_625 = 0x02,//时钟速度15.625*FCPU*10-3bit/s
	IIC_S_CR_31_25 = 0x03,//时钟速度31.25*FCPU*10-3bit/s
	IIC_S_CR_2_225 = 0x80,//时钟速度2.225*FCPU*10-3bit/s
	IIC_S_CR_17_85 = 0x81,//时钟速度17.85*FCPU*10-3bit/s
	IIC_S_CR_37_025 = 0x82,//时钟速度37.05*FCPU*10-3bit/s
	IIC_S_CR_DISABLE = 0x83,//禁用
};
/* IIC产生起始信号 */
enum IIC_S_ST
{
	IIC_S_ST_DISABLE = 0x00,//不产生起始信号
	IIC_S_ST_ENABLE = 0x20,//主机模式时产生起始信号
};
/* IIC产生停止信号 */
enum IIC_S_STO
{
	IIC_S_STO_DISABLE = 0x00,//不产生停止信号
	IIC_S_STO_ENABLE = 0x10,//主机模式时产生停止信号
};
/* IIC中断标志位 */
enum IIC_S_SI
{
	IIC_S_SI_DISABLE = 0x00,//未产生中断
	IIC_S_SI_ENABLE = 0x08,//产生中断
};
/* IIC应答位 */
enum IIC_S_AA
{
	IIC_S_AA_NACK = 0x00,//应答NACK
	IIC_S_AA_ACK = 0x04,//应答ACK
};
/* 主机模式无效 */
/* IIC从机地址 */
enum IIC_S_ADRESS
{
//7位从机地址
	IIC_S_ADRESS_00 = 0,IIC_S_ADRESS_02,IIC_S_ADRESS_04,IIC_S_ADRESS_06,IIC_S_ADRESS_08,IIC_S_ADRESS_0A,IIC_S_ADRESS_0C,IIC_S_ADRESS_0E,
	IIC_S_ADRESS_10,IIC_S_ADRESS_12,IIC_S_ADRESS_14,IIC_S_ADRESS_16,IIC_S_ADRESS_18,IIC_S_ADRESS_1A,IIC_S_ADRESS_1C,IIC_S_ADRESS_1E,
	IIC_S_ADRESS_20,IIC_S_ADRESS_22,IIC_S_ADRESS_24,IIC_S_ADRESS_26,IIC_S_ADRESS_28,IIC_S_ADRESS_2A,IIC_S_ADRESS_2C,IIC_S_ADRESS_2E,
	IIC_S_ADRESS_30,IIC_S_ADRESS_32,IIC_S_ADRESS_34,IIC_S_ADRESS_36,IIC_S_ADRESS_38,IIC_S_ADRESS_3A,IIC_S_ADRESS_3C,IIC_S_ADRESS_3E,
	IIC_S_ADRESS_40,IIC_S_ADRESS_42,IIC_S_ADRESS_44,IIC_S_ADRESS_46,IIC_S_ADRESS_48,IIC_S_ADRESS_4A,IIC_S_ADRESS_4C,IIC_S_ADRESS_4E,
	IIC_S_ADRESS_50,IIC_S_ADRESS_52,IIC_S_ADRESS_54,IIC_S_ADRESS_56,IIC_S_ADRESS_58,IIC_S_ADRESS_5A,IIC_S_ADRESS_5C,IIC_S_ADRESS_5E,
	IIC_S_ADRESS_60,IIC_S_ADRESS_62,IIC_S_ADRESS_64,IIC_S_ADRESS_66,IIC_S_ADRESS_68,IIC_S_ADRESS_6A,IIC_S_ADRESS_6C,IIC_S_ADRESS_6E,
	IIC_S_ADRESS_70,IIC_S_ADRESS_72,IIC_S_ADRESS_74,IIC_S_ADRESS_76,IIC_S_ADRESS_78,IIC_S_ADRESS_7A,IIC_S_ADRESS_7C,IIC_S_ADRESS_7E,
	IIC_S_ADRESS_80,IIC_S_ADRESS_82,IIC_S_ADRESS_84,IIC_S_ADRESS_86,IIC_S_ADRESS_88,IIC_S_ADRESS_8A,IIC_S_ADRESS_8C,IIC_S_ADRESS_8E,
	IIC_S_ADRESS_90,IIC_S_ADRESS_92,IIC_S_ADRESS_94,IIC_S_ADRESS_96,IIC_S_ADRESS_98,IIC_S_ADRESS_9A,IIC_S_ADRESS_9C,IIC_S_ADRESS_9E,
	IIC_S_ADRESS_A0,IIC_S_ADRESS_A2,IIC_S_ADRESS_A4,IIC_S_ADRESS_A6,IIC_S_ADRESS_A8,IIC_S_ADRESS_AA,IIC_S_ADRESS_AC,IIC_S_ADRESS_AE,
	IIC_S_ADRESS_B0,IIC_S_ADRESS_B2,IIC_S_ADRESS_B4,IIC_S_ADRESS_B6,IIC_S_ADRESS_B8,IIC_S_ADRESS_BA,IIC_S_ADRESS_BC,IIC_S_ADRESS_BE,
	IIC_S_ADRESS_C0,IIC_S_ADRESS_C2,IIC_S_ADRESS_C4,IIC_S_ADRESS_C6,IIC_S_ADRESS_C8,IIC_S_ADRESS_CA,IIC_S_ADRESS_CC,IIC_S_ADRESS_CE,
	IIC_S_ADRESS_D0,IIC_S_ADRESS_D2,IIC_S_ADRESS_D4,IIC_S_ADRESS_D6,IIC_S_ADRESS_D8,IIC_S_ADRESS_DA,IIC_S_ADRESS_DC,IIC_S_ADRESS_DE,
	IIC_S_ADRESS_E0,IIC_S_ADRESS_E2,IIC_S_ADRESS_E4,IIC_S_ADRESS_E6,IIC_S_ADRESS_E8,IIC_S_ADRESS_EA,IIC_S_ADRESS_EC,IIC_S_ADRESS_EE,
	IIC_S_ADRESS_F0,IIC_S_ADRESS_F2,IIC_S_ADRESS_F4,IIC_S_ADRESS_F6,IIC_S_ADRESS_F8,IIC_S_ADRESS_FA,IIC_S_ADRESS_FC,IIC_S_ADRESS_FE,
};
/* IIC广播呼叫位 */
enum IIC_S_GC
{
	IIC_S_GC_DISABLE = 0x00,// 广播呼叫模式忽略，不响应
	IIC_S_GC_ENABLE = 0x01,//如果AA置1，参与广播呼叫模式，若AA清零，忽略广播呼叫
};
//=================================IIC_MASTER函数声明===========================================
void SYSTEM_INIT(void);//系统初始化
void Delay_1ms(u16 Delay_Count);//延时
void IIC_S_SETREUSE(enum IIC_S_MPSCL iicSmpscl,enum IIC_S_MPSDA iicSmpsda);//I2C复用口设置
void IIC_S_SETCR(enum IIC_S_CR iicScr);//IIC时钟速度控制位设置
void IIC_S_SETIICCCR(enum IIC_S_ST iicSst,enum IIC_S_STO iicSsto,enum IIC_S_SI iicSsi,enum IIC_S_AA iicSaa);//IICCR设置
void IIC_S_SETADRESS(enum IIC_S_ADRESS iicSadress);//IIC从机地址设置
void IIC_S_SETGC(enum IIC_S_GC iicSgc);//IIC广播呼叫位设置
void I2C_SLAVER_INIT(void);//I2C从机初始化
void I2C_Slaver_Handle();//I2C从机中断处理
void STATE_SRADRACK(void);//从机接收地址应答
void STATE_SRDATACK(void);//从机接收数据应答
void STATE_SWADRACK(void);//从机发送地址应答
void STATE_SWDATACK(void);//从机发送数据应答
void SLAVER_STATE_Err(void);//状态错误
void I2C_SLAVER_Work(void);//I2C从机处理程序
void IICSLAVER_Interrupt();//IIC从机中断处理程序

#endif
