//===============================================================================
//*******************************头文件和调用申明********************************
//===============================================================================
//用户不可更改
#include "IO_INTERRUPT.h"
#include "stdio.h"
//===============================================================================
//**********************************定义变量*************************************
//用户可以自行看需求定义变量
//===============================================================================
bit	b_IO_Interrupt_Flag;					//端口变化中断后标志位置1
//===============================================================================
//*********************************端口变化中断初始化****************************
//端口中断初始化：选择IOB6端口中断、输入、数字口、关闭上下拉,进高优先级
//===============================================================================
void IO_Interrupt_INIT(void)
{
//1、端口中断端口选择设置,选择IOB6
	INTERRUPT_SETIO(INTERRUPT_IOB6);
	GIEH = ENABLE;
//2、高停低停
	OSCM = 0x05;
}
//===============================================================================
//****************************端口变化中断复用口选择设置函数*********************
//端口变化中断复用口选择设置
//输入		interruptIo						//端口变化中断端口选择
//===============================================================================
void INTERRUPT_SETIO(enum IO_SELECT interruptIo)
{
	u8 INTERRUPT_IOData;
	INTERRUPT_IOData = interruptIo & 0x07;
	INTERRUPT_IOData = (unsigned char)(0x01 << INTERRUPT_IOData);
	if(interruptIo <= INTERRUPT_IOA7)
	{
		OEA &= (unsigned char)~INTERRUPT_IOData;
		PUA &= (unsigned char)~INTERRUPT_IOData;
		PDA &= (unsigned char)~INTERRUPT_IOData;
		ANSA &= (unsigned char)~INTERRUPT_IOData;
		IOAICR &= ~(0xFF << 0);
		IOAICR |= INTERRUPT_IOData;
		INTCR1 |= (0X01 << 0);
		INTF1 &= ~(0x01 << 0);
		INTP1 &= ~(0x01 << 0);
	}		
	else if(interruptIo <= INTERRUPT_IOB7)
	{
		OEB &= (unsigned char)~INTERRUPT_IOData;
		PUB &= (unsigned char)~INTERRUPT_IOData;
		PDB &= (unsigned char)~INTERRUPT_IOData;
		ANSB &= (unsigned char)~INTERRUPT_IOData;
		IOBICR &= ~(0xFF << 0);
		IOBICR |= INTERRUPT_IOData;
		INTCR1 |= (0X02 << 0);
		INTF1 &= ~(0x02 << 0);
		INTP1 &= ~(0x02 << 0);	
	}	
	else if(interruptIo <= INTERRUPT_IOC7)
	{
		OEC &= (unsigned char)~INTERRUPT_IOData;
		PUC &= (unsigned char)~INTERRUPT_IOData;
		PDC &= (unsigned char)~INTERRUPT_IOData;
		ANSC &= (unsigned char)~INTERRUPT_IOData;
		IOCICR &= ~(0xFF << 0);
		IOCICR |= INTERRUPT_IOData;
		INTCR1 |= (0X04 << 0);
		INTF1 &= ~(0x04 << 0);
		INTP1 &= ~(0x04 << 0);	
	}
	else if(interruptIo <= INTERRUPT_IOD1)
	{
		OED &= (unsigned char)~INTERRUPT_IOData;
		PUD &= (unsigned char)~INTERRUPT_IOData;
		PDD &= (unsigned char)~INTERRUPT_IOData;
		ANSD &= (unsigned char)~INTERRUPT_IOData;
		IODICR &= ~(0xFF << 0);
		IODICR |= INTERRUPT_IOData;
		INTCR1 |= (0X08 << 0);
		INTF1 &= ~(0x08 << 0);
		INTP1 &= ~(0x08 << 0);
	}
}
//===============================================================================
//*********************************端口变化中断主函数****************************
//IO变化中断产生时串口打印IOAICR\IOBICR\IOCICR\IODICR值
//进休眠
//===============================================================================
void IO_Interrupt_Work(void)				
{
	if(b_IO_Interrupt_Flag==1)
	{
		b_IO_Interrupt_Flag = 0;
		printf("IOAICR = %X,IOBICR = %X,IOCICR = %X,IODICR = %X\n",(int)IOAICR,(int)IOBICR,(int)IOCICR,(int)IODICR);
	}
	// STOP = 1;							//进休眠
}
//===============================================================================
//**********************************端口中断处理函数*****************************
//IO变化中断，进一次中断，标志位置高
//===============================================================================
void IO_Interrupt(void)				
{
	if(IOACHIF)
	{
		IOACHIF = 0;
		b_IO_Interrupt_Flag = 1;
	}
	else if(IOBCHIF)
	{
		IOBCHIF = 0;
		b_IO_Interrupt_Flag = 1;
	}
	else if(IOCCHIF)
	{
		IOCCHIF = 0;
		b_IO_Interrupt_Flag = 1;
	}
	else if(IODCHIF)
	{
		IODCHIF = 0;
		b_IO_Interrupt_Flag = 1;
	}
}

/*********************************END OF FILE************************************/
