//===============================================================================
//===============================================================================
#ifndef __SPISLAVER_H__
#define __SPISLAVER_H__

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

#define ENABLE							1
#define DISABLE							0
/* SPI时钟速度控制位 */
enum SPI_S_SPCR
{
	SPI_S_SPCR_2 = 0x00,//Fcpu/2
	SPI_S_SPCR_4 = 0x01,//Fcpu/4
	SPI_S_SPCR_8 = 0x02,//Fcpu/8
	SPI_S_SPCR_16 = 0x03,//Fcpu/16
	SPI_S_SPCR_32 = 0x80,//Fcpu/32
	SPI_S_SPCR_64 = 0x81,//Fcpu/64
	SPI_S_SPCR_128 = 0x82,//Fcpu/128
	SPI_S_SPCR_NOP = 0x83,//主模式下不产生时钟,当CPOL为1时,SCKO输出为高阻态，否则为低电平
};
/* SPI使能位 */
enum SPI_S_SPIEN
{
	SPI_S_SPIEN_OFF = 0x00,//不使能
	SPI_S_SPIEN_ON = 0x40,//使能
};
/* SPI SNN控制 */
enum SPI_S_SSOE
{
	SPI_S_SSOE_Y = 0x00,//SSN有效
	SPI_S_SSOE_N = 0x20,//SSN无效
};
/* SPI主从控制 */
enum SPI_S_MSTR
{
	SPI_S_MSTR_Slave = 0x00,//作为从机
	SPI_S_MSTR_Master = 0x10,//作为主机
};
/* SPI时钟极性选择 */
enum SPI_S_CPOL
{
	SPI_S_CPOL_L = 0x00,//空间状态SCK为低
	SPI_S_CPOL_H = 0x08,//空间状态SCK为高
};
/* SPI时钟相位选择 */
enum SPI_S_CPHA
{
	SPI_S_CPHA_1 = 0x00,//第一个时钟沿采样
	SPI_S_CPHA_2 = 0x04,//第二个时钟沿采样
};
//=================================SPI从机函数声明===========================================
void SYSTEM_INIT(void);//系统初始化
void Delay_1ms(u16 Delay_Count);//延时
void SPI_S_SETIO(void);////SPI从机端口设置
void SPI_S_SETSPCR(enum SPI_S_SPCR spisSpcr);//SPI时钟速度控制位设置
void SPI_S_SETSPIEN(enum SPI_S_SPIEN spisSpien);//SPI使能位设置
void SPI_S_SETSSOE(enum SPI_S_SSOE spisSsoe);//SPI SNN控制设置
void SPI_S_SETMSTR(enum SPI_S_MSTR spisMstr);//SPI主从控制设置
void SPI_S_SETCP(enum SPI_S_CPOL spisCpol,enum SPI_S_CPHA spisCpha);//SPI时钟极性/相位选择设置
void SPI_SLAVER_Work(void);//SPI从机处理程序
void SPI_SLAVER_INIT(void);//SPI从机初始化
void SPI_S_Interrupt(void);//SPI中断处理程序
void SPI_Slave_RecData(void);//SPI接收发送数据
#endif