//===============================================================================
//===============================================================================
#ifndef __TC2G_H__
#define __TC2G_H__

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

#define ENABLE							1
#define DISABLE							0
extern bit	b_TC2G_Flag;
//===============================================================================	
/* TC2时钟源选择 */
enum TC2_CLOCK
{
	TC2_CLOCK_Foscl = 0x00,//低频系统时钟
	TC2_CLOCK_Fosch = 0x08,//高频系统时钟
	TC2_CLOCK_Fcpu = 0x10,//Fcpu
	TC2_CLOCK_T2CKI = 0x18,//T2CKI
};
/* TC2预分频比选择 */
enum TC2_PREDIVISION
{
	TC2_PREDIVISION_1 = 0x00,//预分频比1:1
	TC2_PREDIVISION_2 = 0x01,//预分频比1:2
	TC2_PREDIVISION_4 = 0x02,//预分频比1:4
	TC2_PREDIVISION_8 = 0x03,//预分频比1:8
	TC2_PREDIVISION_16 = 0x04,//预分频比1:16
	TC2_PREDIVISION_32 = 0x05,//预分频比1:32
	TC2_PREDIVISION_64 = 0x06,//预分频比1:64
	TC2_PREDIVISION_128 = 0x07,//预分频比1:128	
};
/* TC2门控源选择 */
enum TC2GCR_GATEDSOURCE
{
	TC2GCR_GATEDSOURCE_T2G0 = 0x00,//TC2门控选择T2G0
	TC2GCR_GATEDSOURCE_T2G1 = 0x04,//TC2门控选择T2G1
	TC2GCR_GATEDSOURCE_T2G2 = 0x08,//TC2门控选择T2G2
	TC2GCR_GATEDSOURCE_TC0 = 0x0C,//TC2门控选择TC0溢出周期
};
/* TC2门控模式选择 */
enum TC2GCR_MODE
{
	TC2GCR_MODE_UP_DOWN = 0x00,//TC2门控模式选择上升沿到下降沿
	TC2GCR_MODE_DOWN_UP = 0x01,//TC2门控模式选择下降沿到上升沿
	TC2GCR_MODE_UP_UP = 0x02,//TC2门控模式选择上升沿到上升沿
	TC2GCR_MODE_DOWN_DOWN = 0x03,//TC2门控模式选择下降沿到下降沿
};
/* TC2GCR启动门控控制 */
enum TC2GCR_TC2GO
{
	TC2GO_DISABLE = 0x00,//关闭
	TC2GO_ENABLE = 0x40,//打开
};
/* TC2计数TC2CH选择 */
enum TC2_TC2CH
{
	TC2_TC2CH_0 = 0,TC2_TC2CH_1,TC2_TC2CH_2,TC2_TC2CH_3,TC2_TC2CH_4,TC2_TC2CH_5,TC2_TC2CH_6,TC2_TC2CH_7,TC2_TC2CH_8,TC2_TC2CH_9,TC2_TC2CH_10,
	TC2_TC2CH_11,TC2_TC2CH_12,TC2_TC2CH_13,TC2_TC2CH_14,TC2_TC2CH_15,TC2_TC2CH_16,TC2_TC2CH_17,TC2_TC2CH_18,TC2_TC2CH_19,TC2_TC2CH_20,
	TC2_TC2CH_21,TC2_TC2CH_22,TC2_TC2CH_23,TC2_TC2CH_24,TC2_TC2CH_25,TC2_TC2CH_26,TC2_TC2CH_27,TC2_TC2CH_28,TC2_TC2CH_29,TC2_TC2CH_30,
	TC2_TC2CH_31,TC2_TC2CH_32,TC2_TC2CH_33,TC2_TC2CH_34,TC2_TC2CH_35,TC2_TC2CH_36,TC2_TC2CH_37,TC2_TC2CH_38,TC2_TC2CH_39,TC2_TC2CH_40,
	TC2_TC2CH_41,TC2_TC2CH_42,TC2_TC2CH_43,TC2_TC2CH_44,TC2_TC2CH_45,TC2_TC2CH_46,TC2_TC2CH_47,TC2_TC2CH_48,TC2_TC2CH_49,TC2_TC2CH_50,
	TC2_TC2CH_51,TC2_TC2CH_52,TC2_TC2CH_53,TC2_TC2CH_54,TC2_TC2CH_55,TC2_TC2CH_56,TC2_TC2CH_57,TC2_TC2CH_58,TC2_TC2CH_59,TC2_TC2CH_60,
	TC2_TC2CH_61,TC2_TC2CH_62,TC2_TC2CH_63,TC2_TC2CH_64,TC2_TC2CH_65,TC2_TC2CH_66,TC2_TC2CH_67,TC2_TC2CH_68,TC2_TC2CH_69,TC2_TC2CH_70,	
	TC2_TC2CH_71,TC2_TC2CH_72,TC2_TC2CH_73,TC2_TC2CH_74,TC2_TC2CH_75,TC2_TC2CH_76,TC2_TC2CH_77,TC2_TC2CH_78,TC2_TC2CH_79,TC2_TC2CH_80,
	TC2_TC2CH_81,TC2_TC2CH_82,TC2_TC2CH_83,TC2_TC2CH_84,TC2_TC2CH_85,TC2_TC2CH_86,TC2_TC2CH_87,TC2_TC2CH_88,TC2_TC2CH_89,TC2_TC2CH_90,
	TC2_TC2CH_91,TC2_TC2CH_92,TC2_TC2CH_93,TC2_TC2CH_94,TC2_TC2CH_95,TC2_TC2CH_96,TC2_TC2CH_97,TC2_TC2CH_98,TC2_TC2CH_99,TC2_TC2CH_100,
	TC2_TC2CH_101,TC2_TC2CH_102,TC2_TC2CH_103,TC2_TC2CH_104,TC2_TC2CH_105,TC2_TC2CH_106,TC2_TC2CH_107,TC2_TC2CH_108,TC2_TC2CH_109,TC2_TC2CH_110,
	TC2_TC2CH_111,TC2_TC2CH_112,TC2_TC2CH_113,TC2_TC2CH_114,TC2_TC2CH_115,TC2_TC2CH_116,TC2_TC2CH_117,TC2_TC2CH_118,TC2_TC2CH_119,TC2_TC2CH_120,
	TC2_TC2CH_121,TC2_TC2CH_122,TC2_TC2CH_123,TC2_TC2CH_124,TC2_TC2CH_125,TC2_TC2CH_126,TC2_TC2CH_127,TC2_TC2CH_128,TC2_TC2CH_129,TC2_TC2CH_130,
	TC2_TC2CH_131,TC2_TC2CH_132,TC2_TC2CH_133,TC2_TC2CH_134,TC2_TC2CH_135,TC2_TC2CH_136,TC2_TC2CH_137,TC2_TC2CH_138,TC2_TC2CH_139,TC2_TC2CH_140,
	TC2_TC2CH_141,TC2_TC2CH_142,TC2_TC2CH_143,TC2_TC2CH_144,TC2_TC2CH_145,TC2_TC2CH_146,TC2_TC2CH_147,TC2_TC2CH_148,TC2_TC2CH_149,TC2_TC2CH_150,
	TC2_TC2CH_151,TC2_TC2CH_152,TC2_TC2CH_153,TC2_TC2CH_154,TC2_TC2CH_155,TC2_TC2CH_156,TC2_TC2CH_157,TC2_TC2CH_158,TC2_TC2CH_159,TC2_TC2CH_160,
	TC2_TC2CH_161,TC2_TC2CH_162,TC2_TC2CH_163,TC2_TC2CH_164,TC2_TC2CH_165,TC2_TC2CH_166,TC2_TC2CH_167,TC2_TC2CH_168,TC2_TC2CH_169,TC2_TC2CH_170,
	TC2_TC2CH_171,TC2_TC2CH_172,TC2_TC2CH_173,TC2_TC2CH_174,TC2_TC2CH_175,TC2_TC2CH_176,TC2_TC2CH_177,TC2_TC2CH_178,TC2_TC2CH_179,TC2_TC2CH_180,
	TC2_TC2CH_181,TC2_TC2CH_182,TC2_TC2CH_183,TC2_TC2CH_184,TC2_TC2CH_185,TC2_TC2CH_186,TC2_TC2CH_187,TC2_TC2CH_188,TC2_TC2CH_189,TC2_TC2CH_190,
	TC2_TC2CH_191,TC2_TC2CH_192,TC2_TC2CH_193,TC2_TC2CH_194,TC2_TC2CH_195,TC2_TC2CH_196,TC2_TC2CH_197,TC2_TC2CH_198,TC2_TC2CH_199,TC2_TC2CH_200,
	TC2_TC2CH_201,TC2_TC2CH_202,TC2_TC2CH_203,TC2_TC2CH_204,TC2_TC2CH_205,TC2_TC2CH_206,TC2_TC2CH_207,TC2_TC2CH_208,TC2_TC2CH_209,TC2_TC2CH_210,
	TC2_TC2CH_211,TC2_TC2CH_212,TC2_TC2CH_213,TC2_TC2CH_214,TC2_TC2CH_215,TC2_TC2CH_216,TC2_TC2CH_217,TC2_TC2CH_218,TC2_TC2CH_219,TC2_TC2CH_220,
	TC2_TC2CH_221,TC2_TC2CH_222,TC2_TC2CH_223,TC2_TC2CH_224,TC2_TC2CH_225,TC2_TC2CH_226,TC2_TC2CH_227,TC2_TC2CH_228,TC2_TC2CH_229,TC2_TC2CH_230,
	TC2_TC2CH_231,TC2_TC2CH_232,TC2_TC2CH_233,TC2_TC2CH_234,TC2_TC2CH_235,TC2_TC2CH_236,TC2_TC2CH_237,TC2_TC2CH_238,TC2_TC2CH_239,TC2_TC2CH_240,
	TC2_TC2CH_241,TC2_TC2CH_242,TC2_TC2CH_243,TC2_TC2CH_244,TC2_TC2CH_245,TC2_TC2CH_246,TC2_TC2CH_247,TC2_TC2CH_248,TC2_TC2CH_249,TC2_TC2CH_250,
	TC2_TC2CH_251,TC2_TC2CH_252,TC2_TC2CH_253,TC2_TC2CH_254,TC2_TC2CH_255,
};
/* TC2计数TC2CL选择 */
enum TC2_TC2CL
{
	TC2_TC2CL_0 = 0,TC2_TC2CL_1,TC2_TC2CL_2,TC2_TC2CL_3,TC2_TC2CL_4,TC2_TC2CL_5,TC2_TC2CL_6,TC2_TC2CL_7,TC2_TC2CL_8,TC2_TC2CL_9,TC2_TC2CL_10,
	TC2_TC2CL_11,TC2_TC2CL_12,TC2_TC2CL_13,TC2_TC2CL_14,TC2_TC2CL_15,TC2_TC2CL_16,TC2_TC2CL_17,TC2_TC2CL_18,TC2_TC2CL_19,TC2_TC2CL_20,
	TC2_TC2CL_21,TC2_TC2CL_22,TC2_TC2CL_23,TC2_TC2CL_24,TC2_TC2CL_25,TC2_TC2CL_26,TC2_TC2CL_27,TC2_TC2CL_28,TC2_TC2CL_29,TC2_TC2CL_30,
	TC2_TC2CL_31,TC2_TC2CL_32,TC2_TC2CL_33,TC2_TC2CL_34,TC2_TC2CL_35,TC2_TC2CL_36,TC2_TC2CL_37,TC2_TC2CL_38,TC2_TC2CL_39,TC2_TC2CL_40,
	TC2_TC2CL_41,TC2_TC2CL_42,TC2_TC2CL_43,TC2_TC2CL_44,TC2_TC2CL_45,TC2_TC2CL_46,TC2_TC2CL_47,TC2_TC2CL_48,TC2_TC2CL_49,TC2_TC2CL_50,
	TC2_TC2CL_51,TC2_TC2CL_52,TC2_TC2CL_53,TC2_TC2CL_54,TC2_TC2CL_55,TC2_TC2CL_56,TC2_TC2CL_57,TC2_TC2CL_58,TC2_TC2CL_59,TC2_TC2CL_60,
	TC2_TC2CL_61,TC2_TC2CL_62,TC2_TC2CL_63,TC2_TC2CL_64,TC2_TC2CL_65,TC2_TC2CL_66,TC2_TC2CL_67,TC2_TC2CL_68,TC2_TC2CL_69,TC2_TC2CL_70,	
	TC2_TC2CL_71,TC2_TC2CL_72,TC2_TC2CL_73,TC2_TC2CL_74,TC2_TC2CL_75,TC2_TC2CL_76,TC2_TC2CL_77,TC2_TC2CL_78,TC2_TC2CL_79,TC2_TC2CL_80,
	TC2_TC2CL_81,TC2_TC2CL_82,TC2_TC2CL_83,TC2_TC2CL_84,TC2_TC2CL_85,TC2_TC2CL_86,TC2_TC2CL_87,TC2_TC2CL_88,TC2_TC2CL_89,TC2_TC2CL_90,
	TC2_TC2CL_91,TC2_TC2CL_92,TC2_TC2CL_93,TC2_TC2CL_94,TC2_TC2CL_95,TC2_TC2CL_96,TC2_TC2CL_97,TC2_TC2CL_98,TC2_TC2CL_99,TC2_TC2CL_100,
	TC2_TC2CL_101,TC2_TC2CL_102,TC2_TC2CL_103,TC2_TC2CL_104,TC2_TC2CL_105,TC2_TC2CL_106,TC2_TC2CL_107,TC2_TC2CL_108,TC2_TC2CL_109,TC2_TC2CL_110,
	TC2_TC2CL_111,TC2_TC2CL_112,TC2_TC2CL_113,TC2_TC2CL_114,TC2_TC2CL_115,TC2_TC2CL_116,TC2_TC2CL_117,TC2_TC2CL_118,TC2_TC2CL_119,TC2_TC2CL_120,
	TC2_TC2CL_121,TC2_TC2CL_122,TC2_TC2CL_123,TC2_TC2CL_124,TC2_TC2CL_125,TC2_TC2CL_126,TC2_TC2CL_127,TC2_TC2CL_128,TC2_TC2CL_129,TC2_TC2CL_130,
	TC2_TC2CL_131,TC2_TC2CL_132,TC2_TC2CL_133,TC2_TC2CL_134,TC2_TC2CL_135,TC2_TC2CL_136,TC2_TC2CL_137,TC2_TC2CL_138,TC2_TC2CL_139,TC2_TC2CL_140,
	TC2_TC2CL_141,TC2_TC2CL_142,TC2_TC2CL_143,TC2_TC2CL_144,TC2_TC2CL_145,TC2_TC2CL_146,TC2_TC2CL_147,TC2_TC2CL_148,TC2_TC2CL_149,TC2_TC2CL_150,
	TC2_TC2CL_151,TC2_TC2CL_152,TC2_TC2CL_153,TC2_TC2CL_154,TC2_TC2CL_155,TC2_TC2CL_156,TC2_TC2CL_157,TC2_TC2CL_158,TC2_TC2CL_159,TC2_TC2CL_160,
	TC2_TC2CL_161,TC2_TC2CL_162,TC2_TC2CL_163,TC2_TC2CL_164,TC2_TC2CL_165,TC2_TC2CL_166,TC2_TC2CL_167,TC2_TC2CL_168,TC2_TC2CL_169,TC2_TC2CL_170,
	TC2_TC2CL_171,TC2_TC2CL_172,TC2_TC2CL_173,TC2_TC2CL_174,TC2_TC2CL_175,TC2_TC2CL_176,TC2_TC2CL_177,TC2_TC2CL_178,TC2_TC2CL_179,TC2_TC2CL_180,
	TC2_TC2CL_181,TC2_TC2CL_182,TC2_TC2CL_183,TC2_TC2CL_184,TC2_TC2CL_185,TC2_TC2CL_186,TC2_TC2CL_187,TC2_TC2CL_188,TC2_TC2CL_189,TC2_TC2CL_190,
	TC2_TC2CL_191,TC2_TC2CL_192,TC2_TC2CL_193,TC2_TC2CL_194,TC2_TC2CL_195,TC2_TC2CL_196,TC2_TC2CL_197,TC2_TC2CL_198,TC2_TC2CL_199,TC2_TC2CL_200,
	TC2_TC2CL_201,TC2_TC2CL_202,TC2_TC2CL_203,TC2_TC2CL_204,TC2_TC2CL_205,TC2_TC2CL_206,TC2_TC2CL_207,TC2_TC2CL_208,TC2_TC2CL_209,TC2_TC2CL_210,
	TC2_TC2CL_211,TC2_TC2CL_212,TC2_TC2CL_213,TC2_TC2CL_214,TC2_TC2CL_215,TC2_TC2CL_216,TC2_TC2CL_217,TC2_TC2CL_218,TC2_TC2CL_219,TC2_TC2CL_220,
	TC2_TC2CL_221,TC2_TC2CL_222,TC2_TC2CL_223,TC2_TC2CL_224,TC2_TC2CL_225,TC2_TC2CL_226,TC2_TC2CL_227,TC2_TC2CL_228,TC2_TC2CL_229,TC2_TC2CL_230,
	TC2_TC2CL_231,TC2_TC2CL_232,TC2_TC2CL_233,TC2_TC2CL_234,TC2_TC2CL_235,TC2_TC2CL_236,TC2_TC2CL_237,TC2_TC2CL_238,TC2_TC2CL_239,TC2_TC2CL_240,
	TC2_TC2CL_241,TC2_TC2CL_242,TC2_TC2CL_243,TC2_TC2CL_244,TC2_TC2CL_245,TC2_TC2CL_246,TC2_TC2CL_247,TC2_TC2CL_248,TC2_TC2CL_249,TC2_TC2CL_250,
	TC2_TC2CL_251,TC2_TC2CL_252,TC2_TC2CL_253,TC2_TC2CL_254,TC2_TC2CL_255,
};
/* TC2周期寄存高位TC2PRH选择 */
enum TC2_TC2PRH
{
	TC2_TC2PRH_0 = 0,TC2_TC2PRH_1,TC2_TC2PRH_2,TC2_TC2PRH_3,TC2_TC2PRH_4,TC2_TC2PRH_5,TC2_TC2PRH_6,TC2_TC2PRH_7,TC2_TC2PRH_8,TC2_TC2PRH_9,TC2_TC2PRH_10,
	TC2_TC2PRH_11,TC2_TC2PRH_12,TC2_TC2PRH_13,TC2_TC2PRH_14,TC2_TC2PRH_15,TC2_TC2PRH_16,TC2_TC2PRH_17,TC2_TC2PRH_18,TC2_TC2PRH_19,TC2_TC2PRH_20,
	TC2_TC2PRH_21,TC2_TC2PRH_22,TC2_TC2PRH_23,TC2_TC2PRH_24,TC2_TC2PRH_25,TC2_TC2PRH_26,TC2_TC2PRH_27,TC2_TC2PRH_28,TC2_TC2PRH_29,TC2_TC2PRH_30,
	TC2_TC2PRH_31,TC2_TC2PRH_32,TC2_TC2PRH_33,TC2_TC2PRH_34,TC2_TC2PRH_35,TC2_TC2PRH_36,TC2_TC2PRH_37,TC2_TC2PRH_38,TC2_TC2PRH_39,TC2_TC2PRH_40,
	TC2_TC2PRH_41,TC2_TC2PRH_42,TC2_TC2PRH_43,TC2_TC2PRH_44,TC2_TC2PRH_45,TC2_TC2PRH_46,TC2_TC2PRH_47,TC2_TC2PRH_48,TC2_TC2PRH_49,TC2_TC2PRH_50,
	TC2_TC2PRH_51,TC2_TC2PRH_52,TC2_TC2PRH_53,TC2_TC2PRH_54,TC2_TC2PRH_55,TC2_TC2PRH_56,TC2_TC2PRH_57,TC2_TC2PRH_58,TC2_TC2PRH_59,TC2_TC2PRH_60,
	TC2_TC2PRH_61,TC2_TC2PRH_62,TC2_TC2PRH_63,TC2_TC2PRH_64,TC2_TC2PRH_65,TC2_TC2PRH_66,TC2_TC2PRH_67,TC2_TC2PRH_68,TC2_TC2PRH_69,TC2_TC2PRH_70,	
	TC2_TC2PRH_71,TC2_TC2PRH_72,TC2_TC2PRH_73,TC2_TC2PRH_74,TC2_TC2PRH_75,TC2_TC2PRH_76,TC2_TC2PRH_77,TC2_TC2PRH_78,TC2_TC2PRH_79,TC2_TC2PRH_80,
	TC2_TC2PRH_81,TC2_TC2PRH_82,TC2_TC2PRH_83,TC2_TC2PRH_84,TC2_TC2PRH_85,TC2_TC2PRH_86,TC2_TC2PRH_87,TC2_TC2PRH_88,TC2_TC2PRH_89,TC2_TC2PRH_90,
	TC2_TC2PRH_91,TC2_TC2PRH_92,TC2_TC2PRH_93,TC2_TC2PRH_94,TC2_TC2PRH_95,TC2_TC2PRH_96,TC2_TC2PRH_97,TC2_TC2PRH_98,TC2_TC2PRH_99,TC2_TC2PRH_100,
	TC2_TC2PRH_101,TC2_TC2PRH_102,TC2_TC2PRH_103,TC2_TC2PRH_104,TC2_TC2PRH_105,TC2_TC2PRH_106,TC2_TC2PRH_107,TC2_TC2PRH_108,TC2_TC2PRH_109,TC2_TC2PRH_110,
	TC2_TC2PRH_111,TC2_TC2PRH_112,TC2_TC2PRH_113,TC2_TC2PRH_114,TC2_TC2PRH_115,TC2_TC2PRH_116,TC2_TC2PRH_117,TC2_TC2PRH_118,TC2_TC2PRH_119,TC2_TC2PRH_120,
	TC2_TC2PRH_121,TC2_TC2PRH_122,TC2_TC2PRH_123,TC2_TC2PRH_124,TC2_TC2PRH_125,TC2_TC2PRH_126,TC2_TC2PRH_127,TC2_TC2PRH_128,TC2_TC2PRH_129,TC2_TC2PRH_130,
	TC2_TC2PRH_131,TC2_TC2PRH_132,TC2_TC2PRH_133,TC2_TC2PRH_134,TC2_TC2PRH_135,TC2_TC2PRH_136,TC2_TC2PRH_137,TC2_TC2PRH_138,TC2_TC2PRH_139,TC2_TC2PRH_140,
	TC2_TC2PRH_141,TC2_TC2PRH_142,TC2_TC2PRH_143,TC2_TC2PRH_144,TC2_TC2PRH_145,TC2_TC2PRH_146,TC2_TC2PRH_147,TC2_TC2PRH_148,TC2_TC2PRH_149,TC2_TC2PRH_150,
	TC2_TC2PRH_151,TC2_TC2PRH_152,TC2_TC2PRH_153,TC2_TC2PRH_154,TC2_TC2PRH_155,TC2_TC2PRH_156,TC2_TC2PRH_157,TC2_TC2PRH_158,TC2_TC2PRH_159,TC2_TC2PRH_160,
	TC2_TC2PRH_161,TC2_TC2PRH_162,TC2_TC2PRH_163,TC2_TC2PRH_164,TC2_TC2PRH_165,TC2_TC2PRH_166,TC2_TC2PRH_167,TC2_TC2PRH_168,TC2_TC2PRH_169,TC2_TC2PRH_170,
	TC2_TC2PRH_171,TC2_TC2PRH_172,TC2_TC2PRH_173,TC2_TC2PRH_174,TC2_TC2PRH_175,TC2_TC2PRH_176,TC2_TC2PRH_177,TC2_TC2PRH_178,TC2_TC2PRH_179,TC2_TC2PRH_180,
	TC2_TC2PRH_181,TC2_TC2PRH_182,TC2_TC2PRH_183,TC2_TC2PRH_184,TC2_TC2PRH_185,TC2_TC2PRH_186,TC2_TC2PRH_187,TC2_TC2PRH_188,TC2_TC2PRH_189,TC2_TC2PRH_190,
	TC2_TC2PRH_191,TC2_TC2PRH_192,TC2_TC2PRH_193,TC2_TC2PRH_194,TC2_TC2PRH_195,TC2_TC2PRH_196,TC2_TC2PRH_197,TC2_TC2PRH_198,TC2_TC2PRH_199,TC2_TC2PRH_200,
	TC2_TC2PRH_201,TC2_TC2PRH_202,TC2_TC2PRH_203,TC2_TC2PRH_204,TC2_TC2PRH_205,TC2_TC2PRH_206,TC2_TC2PRH_207,TC2_TC2PRH_208,TC2_TC2PRH_209,TC2_TC2PRH_210,
	TC2_TC2PRH_211,TC2_TC2PRH_212,TC2_TC2PRH_213,TC2_TC2PRH_214,TC2_TC2PRH_215,TC2_TC2PRH_216,TC2_TC2PRH_217,TC2_TC2PRH_218,TC2_TC2PRH_219,TC2_TC2PRH_220,
	TC2_TC2PRH_221,TC2_TC2PRH_222,TC2_TC2PRH_223,TC2_TC2PRH_224,TC2_TC2PRH_225,TC2_TC2PRH_226,TC2_TC2PRH_227,TC2_TC2PRH_228,TC2_TC2PRH_229,TC2_TC2PRH_230,
	TC2_TC2PRH_231,TC2_TC2PRH_232,TC2_TC2PRH_233,TC2_TC2PRH_234,TC2_TC2PRH_235,TC2_TC2PRH_236,TC2_TC2PRH_237,TC2_TC2PRH_238,TC2_TC2PRH_239,TC2_TC2PRH_240,
	TC2_TC2PRH_241,TC2_TC2PRH_242,TC2_TC2PRH_243,TC2_TC2PRH_244,TC2_TC2PRH_245,TC2_TC2PRH_246,TC2_TC2PRH_247,TC2_TC2PRH_248,TC2_TC2PRH_249,TC2_TC2PRH_250,
	TC2_TC2PRH_251,TC2_TC2PRH_252,TC2_TC2PRH_253,TC2_TC2PRH_254,TC2_TC2PRH_255,
};
/* TC2周期寄存低位TC2PRL选择 */
enum TC2_TC2PRL
{
	TC2_TC2PRL_0 = 0,TC2_TC2PRL_1,TC2_TC2PRL_2,TC2_TC2PRL_3,TC2_TC2PRL_4,TC2_TC2PRL_5,TC2_TC2PRL_6,TC2_TC2PRL_7,TC2_TC2PRL_8,TC2_TC2PRL_9,TC2_TC2PRL_10,
	TC2_TC2PRL_11,TC2_TC2PRL_12,TC2_TC2PRL_13,TC2_TC2PRL_14,TC2_TC2PRL_15,TC2_TC2PRL_16,TC2_TC2PRL_17,TC2_TC2PRL_18,TC2_TC2PRL_19,TC2_TC2PRL_20,
	TC2_TC2PRL_21,TC2_TC2PRL_22,TC2_TC2PRL_23,TC2_TC2PRL_24,TC2_TC2PRL_25,TC2_TC2PRL_26,TC2_TC2PRL_27,TC2_TC2PRL_28,TC2_TC2PRL_29,TC2_TC2PRL_30,
	TC2_TC2PRL_31,TC2_TC2PRL_32,TC2_TC2PRL_33,TC2_TC2PRL_34,TC2_TC2PRL_35,TC2_TC2PRL_36,TC2_TC2PRL_37,TC2_TC2PRL_38,TC2_TC2PRL_39,TC2_TC2PRL_40,
	TC2_TC2PRL_41,TC2_TC2PRL_42,TC2_TC2PRL_43,TC2_TC2PRL_44,TC2_TC2PRL_45,TC2_TC2PRL_46,TC2_TC2PRL_47,TC2_TC2PRL_48,TC2_TC2PRL_49,TC2_TC2PRL_50,
	TC2_TC2PRL_51,TC2_TC2PRL_52,TC2_TC2PRL_53,TC2_TC2PRL_54,TC2_TC2PRL_55,TC2_TC2PRL_56,TC2_TC2PRL_57,TC2_TC2PRL_58,TC2_TC2PRL_59,TC2_TC2PRL_60,
	TC2_TC2PRL_61,TC2_TC2PRL_62,TC2_TC2PRL_63,TC2_TC2PRL_64,TC2_TC2PRL_65,TC2_TC2PRL_66,TC2_TC2PRL_67,TC2_TC2PRL_68,TC2_TC2PRL_69,TC2_TC2PRL_70,	
	TC2_TC2PRL_71,TC2_TC2PRL_72,TC2_TC2PRL_73,TC2_TC2PRL_74,TC2_TC2PRL_75,TC2_TC2PRL_76,TC2_TC2PRL_77,TC2_TC2PRL_78,TC2_TC2PRL_79,TC2_TC2PRL_80,
	TC2_TC2PRL_81,TC2_TC2PRL_82,TC2_TC2PRL_83,TC2_TC2PRL_84,TC2_TC2PRL_85,TC2_TC2PRL_86,TC2_TC2PRL_87,TC2_TC2PRL_88,TC2_TC2PRL_89,TC2_TC2PRL_90,
	TC2_TC2PRL_91,TC2_TC2PRL_92,TC2_TC2PRL_93,TC2_TC2PRL_94,TC2_TC2PRL_95,TC2_TC2PRL_96,TC2_TC2PRL_97,TC2_TC2PRL_98,TC2_TC2PRL_99,TC2_TC2PRL_100,
	TC2_TC2PRL_101,TC2_TC2PRL_102,TC2_TC2PRL_103,TC2_TC2PRL_104,TC2_TC2PRL_105,TC2_TC2PRL_106,TC2_TC2PRL_107,TC2_TC2PRL_108,TC2_TC2PRL_109,TC2_TC2PRL_110,
	TC2_TC2PRL_111,TC2_TC2PRL_112,TC2_TC2PRL_113,TC2_TC2PRL_114,TC2_TC2PRL_115,TC2_TC2PRL_116,TC2_TC2PRL_117,TC2_TC2PRL_118,TC2_TC2PRL_119,TC2_TC2PRL_120,
	TC2_TC2PRL_121,TC2_TC2PRL_122,TC2_TC2PRL_123,TC2_TC2PRL_124,TC2_TC2PRL_125,TC2_TC2PRL_126,TC2_TC2PRL_127,TC2_TC2PRL_128,TC2_TC2PRL_129,TC2_TC2PRL_130,
	TC2_TC2PRL_131,TC2_TC2PRL_132,TC2_TC2PRL_133,TC2_TC2PRL_134,TC2_TC2PRL_135,TC2_TC2PRL_136,TC2_TC2PRL_137,TC2_TC2PRL_138,TC2_TC2PRL_139,TC2_TC2PRL_140,
	TC2_TC2PRL_141,TC2_TC2PRL_142,TC2_TC2PRL_143,TC2_TC2PRL_144,TC2_TC2PRL_145,TC2_TC2PRL_146,TC2_TC2PRL_147,TC2_TC2PRL_148,TC2_TC2PRL_149,TC2_TC2PRL_150,
	TC2_TC2PRL_151,TC2_TC2PRL_152,TC2_TC2PRL_153,TC2_TC2PRL_154,TC2_TC2PRL_155,TC2_TC2PRL_156,TC2_TC2PRL_157,TC2_TC2PRL_158,TC2_TC2PRL_159,TC2_TC2PRL_160,
	TC2_TC2PRL_161,TC2_TC2PRL_162,TC2_TC2PRL_163,TC2_TC2PRL_164,TC2_TC2PRL_165,TC2_TC2PRL_166,TC2_TC2PRL_167,TC2_TC2PRL_168,TC2_TC2PRL_169,TC2_TC2PRL_170,
	TC2_TC2PRL_171,TC2_TC2PRL_172,TC2_TC2PRL_173,TC2_TC2PRL_174,TC2_TC2PRL_175,TC2_TC2PRL_176,TC2_TC2PRL_177,TC2_TC2PRL_178,TC2_TC2PRL_179,TC2_TC2PRL_180,
	TC2_TC2PRL_181,TC2_TC2PRL_182,TC2_TC2PRL_183,TC2_TC2PRL_184,TC2_TC2PRL_185,TC2_TC2PRL_186,TC2_TC2PRL_187,TC2_TC2PRL_188,TC2_TC2PRL_189,TC2_TC2PRL_190,
	TC2_TC2PRL_191,TC2_TC2PRL_192,TC2_TC2PRL_193,TC2_TC2PRL_194,TC2_TC2PRL_195,TC2_TC2PRL_196,TC2_TC2PRL_197,TC2_TC2PRL_198,TC2_TC2PRL_199,TC2_TC2PRL_200,
	TC2_TC2PRL_201,TC2_TC2PRL_202,TC2_TC2PRL_203,TC2_TC2PRL_204,TC2_TC2PRL_205,TC2_TC2PRL_206,TC2_TC2PRL_207,TC2_TC2PRL_208,TC2_TC2PRL_209,TC2_TC2PRL_210,
	TC2_TC2PRL_211,TC2_TC2PRL_212,TC2_TC2PRL_213,TC2_TC2PRL_214,TC2_TC2PRL_215,TC2_TC2PRL_216,TC2_TC2PRL_217,TC2_TC2PRL_218,TC2_TC2PRL_219,TC2_TC2PRL_220,
	TC2_TC2PRL_221,TC2_TC2PRL_222,TC2_TC2PRL_223,TC2_TC2PRL_224,TC2_TC2PRL_225,TC2_TC2PRL_226,TC2_TC2PRL_227,TC2_TC2PRL_228,TC2_TC2PRL_229,TC2_TC2PRL_230,
	TC2_TC2PRL_231,TC2_TC2PRL_232,TC2_TC2PRL_233,TC2_TC2PRL_234,TC2_TC2PRL_235,TC2_TC2PRL_236,TC2_TC2PRL_237,TC2_TC2PRL_238,TC2_TC2PRL_239,TC2_TC2PRL_240,
	TC2_TC2PRL_241,TC2_TC2PRL_242,TC2_TC2PRL_243,TC2_TC2PRL_244,TC2_TC2PRL_245,TC2_TC2PRL_246,TC2_TC2PRL_247,TC2_TC2PRL_248,TC2_TC2PRL_249,TC2_TC2PRL_250,
	TC2_TC2PRL_251,TC2_TC2PRL_252,TC2_TC2PRL_253,TC2_TC2PRL_254,TC2_TC2PRL_255,
};
//=================================TC2G函数声明===========================================
void SYSTEM_INIT(void);//系统初始化
void Delay_1ms(u16 Delay_Count);//延时
void TC2_SETCLOCK(enum TC2_CLOCK tc2Clock);//TC2时钟源设置
void TC2_SETPREDIVISION(enum TC2_PREDIVISION tc2Predivision);//TC2预分频比设置
void TC2_GATED(enum TC2GCR_GATEDSOURCE tc2gcrGatedsource,enum TC2GCR_MODE tc2gcrMode);//TC2GCR门控设置
void TC2GCR_SETTC2GO(enum TC2GCR_TC2GO tc2gcrTc2go);//TC2GCR启动门控控制
void TC2_SETTC2C(enum TC2_TC2CH tc2Tc2ch,enum TC2_TC2CL tc2Tc2cl);//TC2计数TC2C设置
void TC2_SETTC2PR(enum TC2_TC2PRH tc2Tc2prh,enum TC2_TC2PRL tc2Tc2prl);//TC2计数TC2PR设置
void TC2G_INIT(void);//TC2G初始化
void TC2G_Work(void);//TC2G处理程序
void TC2G_Interrupt (void);//TC2G中断处理函数

#endif
